Diff for /wikisrc/pkgsrc/how_to_use_pkgsrc_on_osf1.mdwn between versions 1.1 and 1.2

version 1.1, 2011/11/20 20:28:27 version 1.2, 2012/02/05 07:14:36
Line 1 Line 1
 I'm doing this guide on Tru64, but it should also apply to older versions of this fine OS, formerly branded Digital Unix and also as OSF1 (the system still identifies itself as OSF1).  I'm doing this guide on Tru64, but it should also apply to older versions of this fine OS, formerly branded Digital Unix and also as OSF1 (the system still identifies itself as OSF1).
   
 **Contents**  **Contents**
   
 [[!toc]]  [[!toc]]
   
 #Setting the environment  #Setting the environment
   
 There is no bzip2 and cvs so we have to fetch the tarball by ftp. You can try to use ftp(1) or Netscape if you have DECWindows installed. You also can use the portable NetBSD ftp client included in the binary bootstrap if you decide to extract it first. I think tnftp is much nicer for downloading than anything else.  There is no bzip2 and cvs so we have to fetch the tarball by ftp. You can try to use ftp(1) or Netscape if you have DECWindows installed. You also can use the portable NetBSD ftp client included in the binary bootstrap if you decide to extract it first. I think tnftp is much nicer for downloading than anything else.
   
 The system doesn't have gcc installed by default as some newer Unices have in the default install, but it has a nice compiler called ccc (Compaq C Compiler).  The system doesn't have gcc installed by default as some newer Unices have in the default install, but it has a nice compiler called ccc (Compaq C Compiler).
 #Extracting the files  #Extracting the files
   
 You have to extract the downloaded sources:  You have to extract the downloaded sources:
   
     # cd /usr      # cd /usr
     # gunzip -c /pkgsrc.tar.gz | tar xf -      # gunzip -c /pkgsrc.tar.gz | tar xf -
   
 Bootstrapping needs gcc:  Bootstrapping needs gcc:
   
     # cd pkgsrc/bootstrap/      # cd pkgsrc/bootstrap/
     # env CC=/usr/local/gcc4/bin/gcc CFLAGS=-O2 ./bootstrap      # env CC=/usr/local/gcc4/bin/gcc CFLAGS=-O2 ./bootstrap
   
 #Configuring pkgsrc  #Configuring pkgsrc
   
 After the bootstrap is completed, you must decide which compiler to use. To keep using gcc, add the following to your mk.conf:  After the bootstrap is completed, you must decide which compiler to use. To keep using gcc, add the following to your mk.conf:
   
     CC=/usr/local/gcc4/bin/gcc      CC=/usr/local/gcc4/bin/gcc
     CXX=/usr/local/gcc4/bin/g++      CXX=/usr/local/gcc4/bin/g++
   
 To use the native compiler, set PKGSRC_COMPILER=ccc in mk.conf. You will need at least Compaq C 6.4 (it supports __VA_ARGS__ that tnftp(1) uses).  To use the native compiler, set PKGSRC_COMPILER=ccc in mk.conf. You will need at least Compaq C 6.4 (it supports __VA_ARGS__ that tnftp(1) uses).
 #See also  #See also
   
 <http://pkgsrc-osf1.netbsd.se/>  <http://pkgsrc-osf1.netbsd.se/>
   
 [README.OSF1 ](ftp://ftp.netbsd.org/pub/pkgsrc/current/pkgsrc/bootstrap/README.OSF1)  [README.OSF1 ](ftp://ftp.netbsd.org/pub/pkgsrc/current/pkgsrc/bootstrap/README.OSF1)
   

Removed from v.1.1  
changed lines
  Added in v.1.2


CVSweb for NetBSD wikisrc <wikimaster@NetBSD.org> software: FreeBSD-CVSweb